> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Facebook page contact scraper

> Contact details of Facebook pages by URL, name or ID: email, phone, websites, address, categories, likes, followers, rating and creation date. 15 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-facebook-page-contacts
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research, search, extraction, and structured data
    source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Multi-step research workflows and the sessions they run in.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
  - name: Company Registries
    description: Company Registries data sources.
  - name: Startup & Funding Data
    description: Startup & Funding Data data sources.
  - name: Maps & Local Businesses
    description: Maps & Local Businesses data sources.
paths:
  /functions/v1/run-facebook-page-contacts:
    post:
      tags:
        - Social media
      summary: Facebook page contact scraper
      description: >-
        Contact details of Facebook pages by URL, name or ID: email, phone,
        websites, address, categories, likes, followers, rating and creation
        date. 15 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  description: >-
                    Page URL, name or ID. e.g.
                    https://www.facebook.com/humansofnewyork/
                  type: string
                language:
                  description: >-
                    Language of the page data. Options: af-ZA = Afrikaans, az-AZ
                    = Azərbaycan dili, bs-BA = Bosnian, br-FR = Brezhoneg, ca-ES
                    = Catalan, cx-PH = Cebuano, co-FR = Corsu, cs-CZ = Czech,
                    da-DK = Dansk, en-GB = English (UK), en-US = English (US),
                    eo-EO = Esperanto, et-EE = Estonian, eu-ES = Euskara, tl-PH
                    = Filipino, fo-FO = Føroyskt, fr-CA = French (Canada), fr-FR
                    = French (France), fy-NL = Frysk, ff-NG = Fula, gl-ES =
                    Galician, de-DE = German, gn-PY = Guarani, ha-NG = Hausa,
                    hr-HR = Hrvatski, id-ID = Indonesian, ga-IE = Irish, is-IS =
                    Íslenska, it-IT = Italiano, jv-ID = Javanese, rw-RW =
                    Kinyarwanda, ht-HT = Kreyòl Ayisyen, ku-TR = Kurdish
                    (Kurmanji), lv-LV = Latviešu, lt-LT = Lithuanian, hu-HU =
                    Magyar, mg-MG = Malagasy, ms-MY = Malay, mt-MT = Malti,
                    nl-NL = Nederlands, nl-BE = Nederlands (België), nb-NO =
                    Norwegian (bokmal), nn-NO = Norwegian (nynorsk), pl-PL =
                    Polski, pt-BR = Portuguese (Brazil), pt-PT = Portuguese
                    (Portugal), ro-RO = Romanian, sc-IT = Sardu, sn-ZW = Shona,
                    sq-AL = Shqip, sz-PL = ślōnskŏ gŏdka, sk-SK = Slovenčina,
                    sl-SI = Slovenščina, so-SO = Somali, es-LA = Spanish, es-ES
                    = Spanish (Spain), fi-FI = Suomi, sw-KE = Swahili, sv-SE =
                    Swedish, tr-TR = Turkish, uz-UZ = Uzbek, vi-VN = Vietnamese,
                    cy-GB = Welsh, zz-TR = Zaza, el-GR = Ελληνικά, be-BY =
                    Беларуская, bg-BG = Български, ky-KG = кыргызча, kk-KZ =
                    Қазақша, mk-MK = Македонски, mn-MN = Монгол, ru-RU =
                    Русский, sr-RS = Српски, tt-RU = Татарча, tg-TJ = Тоҷикӣ,
                    uk-UA = Українська, ka-GE = ქართული, hy-AM = Հայերեն, he-IL
                    = עברית, ur-PK = اردو, ar-AR = العربية, ps-AF = پښتو, fa-IR
                    = فارسی, cb-IQ = کوردیی ناوەندی, sy-SY = ܣܘܪܝܝܐ, tz-MA =
                    ⵜⴰⵎⴰⵣⵉⵖⵜ, am-ET = አማርኛ, ne-NP = नेपाली, mr-IN = मराठी, hi-IN
                    = हिन्दी, as-IN = অসমীয়া, bn-IN = বাংলা, pa-IN = ਪੰਜਾਬੀ,
                    gu-IN = ગુજરાતી, or-IN = ଓଡ଼ିଆ, ta-IN = தமிழ், te-IN =
                    తెలుగు, kn-IN = ಕನ್ನಡ, ml-IN = മലയാളം, si-LK = සිංහල, th-TH
                    = ภาษาไทย, lo-LA = ພາສາລາວ, my-MM = မြန်မာဘာသာ, km-KH =
                    ភាសាខ្មែរ, ko-KR = 한국어, zh-TW = 中文(台灣), zh-CN = 中文(简体),
                    zh-HK = 中文(香港), ja-JP = 日本語, ja-KS = 日本語(関西)
                  type: string
                  enum:
                    - af-ZA
                    - az-AZ
                    - bs-BA
                    - br-FR
                    - ca-ES
                    - cx-PH
                    - co-FR
                    - cs-CZ
                    - da-DK
                    - en-GB
                    - en-US
                    - eo-EO
                    - et-EE
                    - eu-ES
                    - tl-PH
                    - fo-FO
                    - fr-CA
                    - fr-FR
                    - fy-NL
                    - ff-NG
                    - gl-ES
                    - de-DE
                    - gn-PY
                    - ha-NG
                    - hr-HR
                    - id-ID
                    - ga-IE
                    - is-IS
                    - it-IT
                    - jv-ID
                    - rw-RW
                    - ht-HT
                    - ku-TR
                    - lv-LV
                    - lt-LT
                    - hu-HU
                    - mg-MG
                    - ms-MY
                    - mt-MT
                    - nl-NL
                    - nl-BE
                    - nb-NO
                    - nn-NO
                    - pl-PL
                    - pt-BR
                    - pt-PT
                    - ro-RO
                    - sc-IT
                    - sn-ZW
                    - sq-AL
                    - sz-PL
                    - sk-SK
                    - sl-SI
                    - so-SO
                    - es-LA
                    - es-ES
                    - fi-FI
                    - sw-KE
                    - sv-SE
                    - tr-TR
                    - uz-UZ
                    - vi-VN
                    - cy-GB
                    - zz-TR
                    - el-GR
                    - be-BY
                    - bg-BG
                    - ky-KG
                    - kk-KZ
                    - mk-MK
                    - mn-MN
                    - ru-RU
                    - sr-RS
                    - tt-RU
                    - tg-TJ
                    - uk-UA
                    - ka-GE
                    - hy-AM
                    - he-IL
                    - ur-PK
                    - ar-AR
                    - ps-AF
                    - fa-IR
                    - cb-IQ
                    - sy-SY
                    - tz-MA
                    - am-ET
                    - ne-NP
                    - mr-IN
                    - hi-IN
                    - as-IN
                    - bn-IN
                    - pa-IN
                    - gu-IN
                    - or-IN
                    - ta-IN
                    - te-IN
                    - kn-IN
                    - ml-IN
                    - si-LK
                    - th-TH
                    - lo-LA
                    - my-MM
                    - km-KH
                    - ko-KR
                    - zh-TW
                    - zh-CN
                    - zh-HK
                    - ja-JP
                    - ja-KS
                  default: en-US
              required:
                - url
            example:
              url: https://www.facebook.com/humansofnewyork/
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: facebook_page_contacts
                url: https://www.facebook.com/humansofnewyork/
                language: en-US
                partial: false
                human: >-
                  # Facebook page contacts


                  - **Page:** humansofnewyork

                  - **Language:** en-US

                  - **Records returned:** 1


                  ## Humans of New York


                  - **URL:** https://www.facebook.com/humansofnewyork/

                  - **Categories:** Arts & Humanities Website

                  - **Intro:** New York City, one story at a time. Created by
                  Brandon Stanton

                  - **Followers:** 17M

                  - **Following:** 163

                  - **Created:** January 13, 2011

                  - **Ads:** This Page isn't currently running ads.


                  ### Contacts


                  - **Websites:** http://www.humansofnewyork.com/

                  - **TikTok:** https://tiktok.com/@humansofny
                machine:
                  total_items: 1
                  items:
                    - id: '100050429952420'
                      name: Humans of New York
                      username: humansofnewyork
                      url: https://www.facebook.com/humansofnewyork/
                      category: Arts & Humanities Website
                      categories:
                        - Page
                        - Arts & Humanities Website
                      intro: >-
                        New York City, one story at a time. Created by Brandon
                        Stanton
                      info:
                        - Humans of New York. 17,042,901 followers
                        - >-
                          3,141 talking about this. New York City, one story at
                          a time. Created by Brandon Stanton
                      likes: 0
                      followers: 17042901
                      followings: 163
                      rating: null
                      rating_overall: null
                      rating_count: null
                      email: null
                      phone: null
                      address: null
                      address_url: null
                      websites:
                        - http://www.humansofnewyork.com/
                        - https://tiktok.com/@humansofny
                      messenger: null
                      alternative_social_media: https://tiktok.com/@humansofny
                      instagram: []
                      tiktok:
                        - https://tiktok.com/@humansofny
                      price_range: null
                      services: null
                      wifi: null
                      payment: null
                      business_hours: null
                      creation_date: January 13, 2011
                      is_verified: false
                      ad_status: This Page isn't currently running ads.
                      ad_library_id: '102099916530784'
                      profile_picture_url: >-
                        https://scontent-bos5-1.xx.fbcdn.net/v/t39.30808-1/334611134_1536915246801761_214912837020673325_n.jpg?stp=c341.0.1365.1365a_dst-jpg_tt6&cstp=mx1365x1365&ctp=s200x200&_nc_cat=105&ccb=1-7&_nc_sid=f907e
                      profile_photo_url: >-
                        https://www.facebook.com/photo/?fbid=755665139457811&set=a.755664682791190
                      cover_photo_url: >-
                        https://scontent-bos5-1.xx.fbcdn.net/v/t39.30808-6/480504460_1188861012804886_1321156526560001539_n.png?stp=dst-png&cstp=mx1640x720&ctp=s960x960&_nc_cat=110&ccb=1-7&_nc_sid=cc71e4&_nc_ohc=ZHImxt2n4sQQ
                      personal_profile: null
                      latest_posts: []
                      source_url: https://www.facebook.com/humansofnewyork/
                  errors: []
                total_points: 15
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  url:
                    type: string
                  language:
                    type: string
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            username:
                              type: string
                            url:
                              type: string
                            category:
                              type: string
                            categories:
                              type: array
                              items:
                                type: string
                            intro:
                              type: string
                            info:
                              type: array
                              items:
                                type: string
                            likes:
                              type: integer
                            followers:
                              type: integer
                            followings:
                              type: integer
                            rating: {}
                            rating_overall: {}
                            rating_count: {}
                            email: {}
                            phone: {}
                            address: {}
                            address_url: {}
                            websites:
                              type: array
                              items:
                                type: string
                            messenger: {}
                            alternative_social_media:
                              type: string
                            instagram:
                              type: array
                              items: {}
                            tiktok:
                              type: array
                              items:
                                type: string
                            price_range: {}
                            services: {}
                            wifi: {}
                            payment: {}
                            business_hours: {}
                            creation_date:
                              type: string
                            is_verified:
                              type: boolean
                            ad_status:
                              type: string
                            ad_library_id:
                              type: string
                            profile_picture_url:
                              type: string
                            profile_photo_url:
                              type: string
                            cover_photo_url:
                              type: string
                            personal_profile: {}
                            latest_posts:
                              type: array
                              items: {}
                            source_url:
                              type: string
                      errors:
                        type: array
                        items: {}
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.